---
layout: docs
page_title: File sink - configuration reference
description: |-
  The file sink configures Boundary to send events to a file.
---

# `file` sink

@include '/configuration-reference/events/file-sink-intro.mdx'

## Common parameters

These parameters are shared across all sink types: [common sink parameters](/boundary/docs/monitor/events/common)

## `file` parameters

@include '/configuration-reference/events/file-parameters.mdx'